---
layout: post
title: ESLint v2.1.0 released
tags:
  - release
  - minor
---
# ESLint v2.1.0 released

We just pushed ESLint v2.1.0, which is a minor release upgrade of ESLint. This release adds some new features and fixes several bugs found in the previous release. 








## Enhancements


* [0d6850e](https://github.com/eslint/eslint/commit/0d6850e) Update: Allow var declaration at end of block (fixes [#5246](https://github.com/eslint/eslint/issues/5246)) (alberto)




## Bug Fixes


* [c9c34ea](https://github.com/eslint/eslint/commit/c9c34ea) Fix: Skip computed members in `newline-per-chained-call` (fixes [#5245](https://github.com/eslint/eslint/issues/5245)) (Burak Yigit Kaya)
* [29da8aa](https://github.com/eslint/eslint/commit/29da8aa) Fix: `newline-after-var` crash on a switch statement (fixes [#5277](https://github.com/eslint/eslint/issues/5277)) (Toru Nagashima)
* [86c5a20](https://github.com/eslint/eslint/commit/86c5a20) Fix: `func-style` should ignore ExportDefaultDeclarations (fixes [#5183](https://github.com/eslint/eslint/issues/5183)) (Burak Yigit Kaya)
* [ba287aa](https://github.com/eslint/eslint/commit/ba287aa) Fix: Consolidate try/catches to top levels (fixes [#5243](https://github.com/eslint/eslint/issues/5243)) (Ian VanSchooten)
* [c1e3a73](https://github.com/eslint/eslint/commit/c1e3a73) Fix: Popular style init handles missing package.json keys (refs [#5243](https://github.com/eslint/eslint/issues/5243)) (Brandon Mills)
* [9078537](https://github.com/eslint/eslint/commit/9078537) Fix: `indent` on variable declaration with separate array (fixes [#5237](https://github.com/eslint/eslint/issues/5237)) (Burak Yigit Kaya)
* [44f6915](https://github.com/eslint/eslint/commit/44f6915) Fix: ESLint Bot mentions the wrong person for extra info (fixes [#5229](https://github.com/eslint/eslint/issues/5229)) (Burak Yigit Kaya)
* [c612a8e](https://github.com/eslint/eslint/commit/c612a8e) Fix: `no-empty-function` crash (fixes [#5227](https://github.com/eslint/eslint/issues/5227)) (Toru Nagashima)
* [980e139](https://github.com/eslint/eslint/commit/980e139) Fix: Combine all answers for processAnswers (fixes [#5220](https://github.com/eslint/eslint/issues/5220)) (Ian VanSchooten)




## Documentation


* [6580d1c](https://github.com/eslint/eslint/commit/6580d1c) Docs: Fix incorrect `api.verify` JSDoc for `config` param (refs [#5104](https://github.com/eslint/eslint/issues/5104)) (Burak Yigit Kaya)
* [1f47868](https://github.com/eslint/eslint/commit/1f47868) Docs: Update yield-star-spacing documentation for 2.0.0 (fixes [#5272](https://github.com/eslint/eslint/issues/5272)) (Burak Yigit Kaya)
* [3ef5da1](https://github.com/eslint/eslint/commit/3ef5da1) Docs: Update no-magic-numbers#ignorearrayindexes. (KazuakiM)
* [68c6e22](https://github.com/eslint/eslint/commit/68c6e22) Docs: fix default value of `keyword-spacing`'s overrides option. (Toru Nagashima)
* [ef729d7](https://github.com/eslint/eslint/commit/ef729d7) Docs: Remove option that is not being used in max-len rule (Thanos Lefteris)
* [4a5ddd5](https://github.com/eslint/eslint/commit/4a5ddd5) Docs: Fix rule config above examples for require-jsdoc (Thanos Lefteris)
* [c5cbc1b](https://github.com/eslint/eslint/commit/c5cbc1b) Docs: Add rule config above each example in jsx-quotes (Thanos Lefteris)
* [f0aceba](https://github.com/eslint/eslint/commit/f0aceba) Docs: Correct alphabetical ordering in rule list (Randy Coulman)
* [1651ffa](https://github.com/eslint/eslint/commit/1651ffa) Docs: update migrating to 2.0.0 (fixes [#5232](https://github.com/eslint/eslint/issues/5232)) (Toru Nagashima)
* [f8868b2](https://github.com/eslint/eslint/commit/f8868b2) Docs: Typo fix in consistent-this rule doc fixes [#5240](https://github.com/eslint/eslint/issues/5240) (Nicolas Froidure)
* [ae663b6](https://github.com/eslint/eslint/commit/ae663b6) Docs: Add links for issue documentation (Nicholas C. Zakas)
* [1f2a1d5](https://github.com/eslint/eslint/commit/1f2a1d5) Docs: Remove inline errors from doc examples (fixes [#4104](https://github.com/eslint/eslint/issues/4104)) (Burak Yigit Kaya)




## Dependency Upgrades


* [00fe46f](https://github.com/eslint/eslint/commit/00fe46f) Upgrade: inquirer (fixes [#5265](https://github.com/eslint/eslint/issues/5265)) (Bogdan Chadkin)




## Build Related


* [7981ef5](https://github.com/eslint/eslint/commit/7981ef5) Build: Fix release script (Nicholas C. Zakas)
* [b32ddad](https://github.com/eslint/eslint/commit/b32ddad) Build: `npm run perf` command should check the exit code (fixes [#5279](https://github.com/eslint/eslint/issues/5279)) (Burak Yigit Kaya)
* [717bede](https://github.com/eslint/eslint/commit/717bede) Build: Switch to using eslint-release (fixes [#5223](https://github.com/eslint/eslint/issues/5223)) (Nicholas C. Zakas)


