---
layout: post
title: ESLint v3.1.0 released
tags:
  - release
  - minor
---
# ESLint v3.1.0 released

We just pushed ESLint v3.1.0, which is a minor release upgrade of ESLint. This release adds some new features and fixes several bugs found in the previous release. 






## Features


* [720686b](https://github.com/eslint/eslint/commit/720686b) New: `endLine` and `endColumn` of the lint result. (refs [#3307](https://github.com/eslint/eslint/issues/3307)) ([#6640](https://github.com/eslint/eslint/issues/6640)) (Toru Nagashima)
* [8a263ae](https://github.com/eslint/eslint/commit/8a263ae) New: multiline-ternary rule (fixes [#6066](https://github.com/eslint/eslint/issues/6066)) ([#6590](https://github.com/eslint/eslint/issues/6590)) (Kai Cataldo)




## Enhancements


* [38639bf](https://github.com/eslint/eslint/commit/38639bf) Update: make `no-var` fixable (fixes [#6639](https://github.com/eslint/eslint/issues/6639)) ([#6644](https://github.com/eslint/eslint/issues/6644)) (Toru Nagashima)
* [2ba75d5](https://github.com/eslint/eslint/commit/2ba75d5) Update: relax outerIIFEBody definition (fixes [#6613](https://github.com/eslint/eslint/issues/6613)) ([#6653](https://github.com/eslint/eslint/issues/6653)) (Stephen E. Baker)
* [4adb15f](https://github.com/eslint/eslint/commit/4adb15f) Update: Add `balanced` option to `spaced-comment` (fixes [#4133](https://github.com/eslint/eslint/issues/4133)) ([#6575](https://github.com/eslint/eslint/issues/6575)) (Annie Zhang)
* [e951303](https://github.com/eslint/eslint/commit/e951303) Update: Adding new `key-spacing` option (fixes [#5613](https://github.com/eslint/eslint/issues/5613)) ([#5907](https://github.com/eslint/eslint/issues/5907)) (Kyle Mendes)




## Bug Fixes


* [e8f8c6c](https://github.com/eslint/eslint/commit/e8f8c6c) Fix: incorrect exitCode when eslint is called with --stdin (fixes [#6677](https://github.com/eslint/eslint/issues/6677)) ([#6682](https://github.com/eslint/eslint/issues/6682)) (Steven Humphrey)
* [dfc20e9](https://github.com/eslint/eslint/commit/dfc20e9) Fix: `no-unused-vars` false positive in loop (fixes [#6646](https://github.com/eslint/eslint/issues/6646)) ([#6649](https://github.com/eslint/eslint/issues/6649)) (Toru Nagashima)
* [a8b4e40](https://github.com/eslint/eslint/commit/a8b4e40) Fix: Install required eslint plugin for "standard" guide (fixes [#6656](https://github.com/eslint/eslint/issues/6656)) ([#6657](https://github.com/eslint/eslint/issues/6657)) (Feross Aboukhadijeh)
* [baeb313](https://github.com/eslint/eslint/commit/baeb313) Fix: Warning behavior for executeOnText (fixes [#6611](https://github.com/eslint/eslint/issues/6611)) ([#6632](https://github.com/eslint/eslint/issues/6632)) (Nicholas C. Zakas)
* [ca323cf](https://github.com/eslint/eslint/commit/ca323cf) Fix: Use default assertion messages (fixes [#6532](https://github.com/eslint/eslint/issues/6532)) ([#6615](https://github.com/eslint/eslint/issues/6615)) (Dmitrii Abramov)
* [2bdf22c](https://github.com/eslint/eslint/commit/2bdf22c) Fix: Do not throw exception if baseConfig is provided (fixes [#6605](https://github.com/eslint/eslint/issues/6605)) ([#6625](https://github.com/eslint/eslint/issues/6625)) (Kevin Partington)




## Documentation


* [089ee2c](https://github.com/eslint/eslint/commit/089ee2c) Docs: fix typos,wrong path,backticks ([#6663](https://github.com/eslint/eslint/issues/6663)) (molee1905)
* [ef827d2](https://github.com/eslint/eslint/commit/ef827d2) Docs: Add another pre-commit hook to integrations ([#6666](https://github.com/eslint/eslint/issues/6666)) (David Alan Hjelle)
* [a343b3c](https://github.com/eslint/eslint/commit/a343b3c) Docs: Fix option typo in no-underscore-dangle (Fixes [#6674](https://github.com/eslint/eslint/issues/6674)) ([#6675](https://github.com/eslint/eslint/issues/6675)) (Luke Page)
* [1b13c25](https://github.com/eslint/eslint/commit/1b13c25) Docs: fix incorrect example being mark as correct ([#6660](https://github.com/eslint/eslint/issues/6660)) (David Björklund)
* [54faa46](https://github.com/eslint/eslint/commit/54faa46) Docs: Small tweaks to CLI documentation (fixes [#6627](https://github.com/eslint/eslint/issues/6627)) ([#6642](https://github.com/eslint/eslint/issues/6642)) (Kevin Partington)
* [e108850](https://github.com/eslint/eslint/commit/e108850) Docs: Added examples and structure to `padded-blocks` (fixes [#6628](https://github.com/eslint/eslint/issues/6628)) ([#6643](https://github.com/eslint/eslint/issues/6643)) (alberto)
* [350e1c0](https://github.com/eslint/eslint/commit/350e1c0) Docs: Typo ([#6650](https://github.com/eslint/eslint/issues/6650)) (Peter Rood)
* [b837c92](https://github.com/eslint/eslint/commit/b837c92) Docs: Correct a term in max-len.md (fixes [#6637](https://github.com/eslint/eslint/issues/6637)) ([#6641](https://github.com/eslint/eslint/issues/6641)) (Vse Mozhet Byt)
* [10c3e91](https://github.com/eslint/eslint/commit/10c3e91) Docs: Remove reference from 3.0.0 migration guide (refs [#6605](https://github.com/eslint/eslint/issues/6605)) ([#6618](https://github.com/eslint/eslint/issues/6618)) (Kevin Partington)
* [5010694](https://github.com/eslint/eslint/commit/5010694) Docs: Removed non-existing resource ([#6609](https://github.com/eslint/eslint/issues/6609)) (Moritz Kröger)
* [6d40d85](https://github.com/eslint/eslint/commit/6d40d85) Docs: Note that PR requires ACCEPTED issue (refs [#6568](https://github.com/eslint/eslint/issues/6568)) ([#6604](https://github.com/eslint/eslint/issues/6604)) (Patrick McElhaney)




## Dependency Upgrades


* [e42cacb](https://github.com/eslint/eslint/commit/e42cacb) Upgrade: mock-fs to 3.10, fixes for Node 6.3 (fixes [#6621](https://github.com/eslint/eslint/issues/6621)) ([#6624](https://github.com/eslint/eslint/issues/6624)) (Tim Schaub)






## Chores


* [421e4bf](https://github.com/eslint/eslint/commit/421e4bf) Chore: combine multiple RegEx replaces with one (fixes [#6669](https://github.com/eslint/eslint/issues/6669)) ([#6661](https://github.com/eslint/eslint/issues/6661)) (Sakthipriyan Vairamani)
* [5985eb2](https://github.com/eslint/eslint/commit/5985eb2) Chore: add internal rule that validates meta property (fixes [#6383](https://github.com/eslint/eslint/issues/6383)) ([#6608](https://github.com/eslint/eslint/issues/6608)) (Vitor Balocco)
* [e6004be](https://github.com/eslint/eslint/commit/e6004be) Chore: Enable preferType in valid-jsdoc (refs [#5188](https://github.com/eslint/eslint/issues/5188)) ([#6634](https://github.com/eslint/eslint/issues/6634)) (Nicholas C. Zakas)


